#import "CubicSlider.h"
#import "CubicSliderCell.h"

@implementation CubicSlider

- initFrame:(const NXRect *)frameRect
{
    [CubicSlider setCellClass:[CubicSliderCell class]];
   return [super initFrame:frameRect];
}

- forward:(SEL)aSelector :(marg_list)argFrame
{
    if ( [cell respondsTo:aSelector] )
        return [cell performv:aSelector :argFrame];
    return [self doesNotRecognize:aSelector];
}

- (const char*)inspectorName
{
    NXEvent *e = [NXApp currentEvent];
    if (e->flags & NX_ALTERNATEMASK)  return "SliderInspector";
    return "CubicSliderInspector";
}

@end


