
/*	
 *    Copyright (C) 1993  Raymond Lutz.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; version 1.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * This program illustrates the features of the CubicSlider.
 */

#import <objc/Object.h>
#import <dpsclient/dpsclient.h>

@interface Controler:Object
{
    DPSTimedEntry teNum;     
    id	valForm;
    id	maxText;
    id	upTargetText;
    id	upTargetBut;
    id	mouse;
    id	aboutView;
    id	barView;
    id	sample;
    id	minText;
    id	labelMin;
    id	label1Abs;
    id	label2Abs;
    id	label2MaxEdit;
    id	labelMax;
    int panel;
    BOOL fastCubic;
    float oldValue;
    id        extremumValuesForm;
    id        absoluteValuesForm;
    id        functionMatrix;
    id        userEditableSwitches;
}

- cubicSpeed:sender;
- upMouseMethod;
- stopTimedEntry;
- upToDown;
- setPlainSample:sender;
- setMinLockedSample:sender;
- setMatriceSamples:sender;
- setCubicSample:sender;
- setMouseSample:sender;
- setAbsRangeSample:sender;
- setInspectableSample:sender;
- sampleMoved:sender;
- takeCubicSliderStatusFrom:sender;
- clearLabels;
- resetSliderValuesDisplay;
- updateInspector;
- minChg:sender;
- maxChg:sender;
- absMinChg:sender;
- absMaxChg:sender;
- minEditChg:sender;
- maxEditChg:sender;
- fctChg:sender;

@end
